# -*- encoding: utf-8 -*-
# stub: mini_portile2 2.5.1 ruby lib

Gem::Specification.new do |s|
  s.name = "mini_portile2".freeze
  s.version = "2.5.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Luis Lavena".freeze, "Mike Dalessio".freeze, "Lars Kanis".freeze]
  s.date = "2021-04-28"
  s.description = "Simplistic port-like solution for developers. It provides a standard and simplified way to compile against dependency libraries without messing up your system.".freeze
  s.email = "mike.dalessio@gmail.com".freeze
  s.files = [".github/FUNDING.yml".freeze, ".github/workflows/ci.yml".freeze, ".gitignore".freeze, "CHANGELOG.md".freeze, "Gemfile".freeze, "LICENSE.txt".freeze, "README.md".freeze, "Rakefile".freeze, "SECURITY.md".freeze, "lib/mini_portile2.rb".freeze, "lib/mini_portile2/mini_portile.rb".freeze, "lib/mini_portile2/mini_portile_cmake.rb".freeze, "lib/mini_portile2/version.rb".freeze, "mini_portile2.gemspec".freeze, "test/assets/git/config".freeze, "test/assets/gpg-fixtures/data".freeze, "test/assets/gpg-fixtures/data.asc".freeze, "test/assets/gpg-fixtures/data.invalid.asc".freeze, "test/assets/patch 1.diff".freeze, "test/assets/test mini portile-1.0.0/configure".freeze, "test/assets/test-cmake-1.0/CMakeLists.txt".freeze, "test/assets/test-cmake-1.0/hello.c".freeze, "test/assets/test-download-archive.tar.gz".freeze, "test/helper.rb".freeze, "test/test_cmake.rb".freeze, "test/test_cook.rb".freeze, "test/test_digest.rb".freeze, "test/test_download.rb".freeze, "test/test_execute.rb".freeze, "test/test_proxy.rb".freeze]
  s.homepage = "https://github.com/flavorjones/mini_portile".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.3.0".freeze)
  s.rubygems_version = "3.1.2".freeze
  s.summary = "Simplistic port-like solution for developers".freeze
  s.test_files = ["test/assets/git/config".freeze, "test/assets/gpg-fixtures/data".freeze, "test/assets/gpg-fixtures/data.asc".freeze, "test/assets/gpg-fixtures/data.invalid.asc".freeze, "test/assets/patch 1.diff".freeze, "test/assets/test mini portile-1.0.0/configure".freeze, "test/assets/test-cmake-1.0/CMakeLists.txt".freeze, "test/assets/test-cmake-1.0/hello.c".freeze, "test/assets/test-download-archive.tar.gz".freeze, "test/helper.rb".freeze, "test/test_cmake.rb".freeze, "test/test_cook.rb".freeze, "test/test_digest.rb".freeze, "test/test_download.rb".freeze, "test/test_execute.rb".freeze, "test/test_proxy.rb".freeze]

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, ["~> 2.1"])
    s.add_development_dependency(%q<minitar>.freeze, ["~> 0.7"])
    s.add_development_dependency(%q<minitest>.freeze, ["~> 5.11"])
    s.add_development_dependency(%q<minitest-hooks>.freeze, ["~> 1.5.0"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 13.0"])
    s.add_development_dependency(%q<webrick>.freeze, ["~> 1.0"])
  else
    s.add_dependency(%q<bundler>.freeze, ["~> 2.1"])
    s.add_dependency(%q<minitar>.freeze, ["~> 0.7"])
    s.add_dependency(%q<minitest>.freeze, ["~> 5.11"])
    s.add_dependency(%q<minitest-hooks>.freeze, ["~> 1.5.0"])
    s.add_dependency(%q<rake>.freeze, ["~> 13.0"])
    s.add_dependency(%q<webrick>.freeze, ["~> 1.0"])
  end
end

